Browse code

pkg debian move debian folders to pkg/kamailio/deb lenny and lucid are no longer symlinks

Jon Bonilla authored on 11/10/2010 17:06:58
Showing 58 changed files
... ...
@@ -802,8 +802,8 @@ bin:
802 802
 deb:
803 803
 	-@if [ -d debian ]; then \
804 804
 		dpkg-buildpackage -rfakeroot -tc; \
805
-	elif [ -d pkg/$(MAIN_NAME)/debian ]; then \
806
-		ln -s pkg/$(MAIN_NAME)/debian debian; \
805
+	elif [ -d pkg/$(MAIN_NAME)/deb/debian ]; then \
806
+		ln -s pkg/$(MAIN_NAME)/deb/debian debian; \
807 807
 		dpkg-buildpackage -rfakeroot -tc; \
808 808
 	rm debian; \
809 809
 	else \
810 810
similarity index 100%
811 811
rename from pkg/kamailio/debian-etch/changelog
812 812
rename to pkg/kamailio/deb/debian/changelog
813 813
similarity index 100%
814 814
rename from pkg/kamailio/debian-etch/compat
815 815
rename to pkg/kamailio/deb/debian/compat
816 816
similarity index 100%
817 817
rename from pkg/kamailio/debian/control
818 818
rename to pkg/kamailio/deb/debian/control
819 819
similarity index 100%
820 820
rename from pkg/kamailio/debian-etch/copyright
821 821
rename to pkg/kamailio/deb/debian/copyright
822 822
similarity index 100%
823 823
rename from pkg/kamailio/debian-etch/kamailio.README.Debian
824 824
rename to pkg/kamailio/deb/debian/kamailio.README.Debian
825 825
similarity index 100%
826 826
rename from pkg/kamailio/debian-etch/kamailio.default
827 827
rename to pkg/kamailio/deb/debian/kamailio.default
828 828
similarity index 100%
829 829
rename from pkg/kamailio/debian-etch/kamailio.dirs
830 830
rename to pkg/kamailio/deb/debian/kamailio.dirs
831 831
similarity index 100%
832 832
rename from pkg/kamailio/debian-etch/kamailio.examples
833 833
rename to pkg/kamailio/deb/debian/kamailio.examples
834 834
similarity index 100%
835 835
rename from pkg/kamailio/debian-etch/kamailio.init
836 836
rename to pkg/kamailio/deb/debian/kamailio.init
837 837
similarity index 100%
838 838
rename from pkg/kamailio/debian-etch/kamailio.postinst
839 839
rename to pkg/kamailio/deb/debian/kamailio.postinst
840 840
similarity index 100%
841 841
rename from pkg/kamailio/debian/rules
842 842
rename to pkg/kamailio/deb/debian/rules
843 843
similarity index 100%
844 844
rename from pkg/kamailio/debian-squeeze/changelog
845 845
rename to pkg/kamailio/deb/etch/changelog
846 846
similarity index 100%
847 847
rename from pkg/kamailio/debian-squeeze/compat
848 848
rename to pkg/kamailio/deb/etch/compat
849 849
similarity index 100%
850 850
rename from pkg/kamailio/debian-etch/control
851 851
rename to pkg/kamailio/deb/etch/control
852 852
similarity index 100%
853 853
rename from pkg/kamailio/debian-squeeze/copyright
854 854
rename to pkg/kamailio/deb/etch/copyright
855 855
similarity index 100%
856 856
rename from pkg/kamailio/debian-squeeze/kamailio.README.Debian
857 857
rename to pkg/kamailio/deb/etch/kamailio.README.Debian
858 858
similarity index 100%
859 859
rename from pkg/kamailio/debian-squeeze/kamailio.default
860 860
rename to pkg/kamailio/deb/etch/kamailio.default
861 861
similarity index 100%
862 862
rename from pkg/kamailio/debian-squeeze/kamailio.dirs
863 863
rename to pkg/kamailio/deb/etch/kamailio.dirs
864 864
similarity index 100%
865 865
rename from pkg/kamailio/debian-squeeze/kamailio.examples
866 866
rename to pkg/kamailio/deb/etch/kamailio.examples
867 867
similarity index 100%
868 868
rename from pkg/kamailio/debian-squeeze/kamailio.init
869 869
rename to pkg/kamailio/deb/etch/kamailio.init
870 870
similarity index 100%
871 871
rename from pkg/kamailio/debian-squeeze/kamailio.postinst
872 872
rename to pkg/kamailio/deb/etch/kamailio.postinst
873 873
similarity index 100%
874 874
rename from pkg/kamailio/debian-etch/rules
875 875
rename to pkg/kamailio/deb/etch/rules
876 876
similarity index 100%
877 877
rename from pkg/kamailio/debian/changelog
878 878
rename to pkg/kamailio/deb/lenny/changelog
879 879
similarity index 100%
880 880
rename from pkg/kamailio/debian/compat
881 881
rename to pkg/kamailio/deb/lenny/compat
882 882
new file mode 100644
... ...
@@ -0,0 +1,236 @@
1
+Source: kamailio
2
+Section: net
3
+Priority: optional
4
+Maintainer: Jon Bonilla <manwe@aholab.ehu.es>
5
+Build-Depends: debhelper (>= 5), dpatch, libmysqlclient-dev, libexpat1-dev, libxml2-dev, libpq-dev, libradiusclient-ng-dev, flex, bison, zlib1g-dev, unixodbc-dev, libxmlrpc-c3-dev, libperl-dev, libsnmp-dev, dpkg-dev (>= 1.13.19), libdb-dev (>= 4.6.19), xsltproc, libconfuse-dev, libldap2-dev, libssl-dev, libcurl3-openssl-dev, python, libpcre3-dev, docbook-xml, libpurple-dev, libmemcache-dev, libreadline-dev
6
+Standards-Version: 3.8.0
7
+Homepage: http://www.kamailio.org/
8
+
9
+Package: kamailio
10
+Architecture: any
11
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
12
+Conflicts: kamailio-regex-modules, kamailio-dbg
13
+Suggests: kamailio-mysql-modules, kamailio-postgres-modules, kamailio-unixodbc-modules, kamailio-tls-modules, kamailio-cpl-modules, kamailio-radius-modules, kamailio-presence-modules, kamailio-xmlrpc-modules, kamailio-perl-modules, kamailio-snmpstats-modules, kamailio-xmpp-modules, kamailio-carrierroute-modules, kamailio-berkeley-modules, kamailio-ldap-modules
14
+Description: very fast and configurable SIP proxy
15
+ Kamailio is a very fast and flexible SIP (RFC3261)
16
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
17
+ per second even on low-budget hardware.
18
+ .
19
+ C Shell-like scripting language provides full control over the server's
20
+ behaviour. Its modular architecture allows only required functionality to be
21
+ loaded.
22
+ .
23
+ Among others, the following modules are available: Digest Authentication, CPL
24
+ scripts, Instant Messaging, MySQL support, Presence Agent, Radius
25
+ Authentication, Record Routing, SMS Gateway, Jabber/XMPP Gateway, Transaction
26
+ Module, Registrar and User Location, XMLRPC Interface.
27
+ .
28
+ This package contains the main Kamailio binary along with the principal modules
29
+ and support binaries.
30
+
31
+
32
+Package: kamailio-mysql-modules
33
+Architecture: any
34
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), mysql-client
35
+Replaces: kamailio-mysql-module
36
+Description: MySQL database connectivity module for Kamailio
37
+ Kamailio is a very fast and flexible SIP (RFC3261)
38
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
39
+ per second even on low-budget hardware.
40
+ .
41
+ This package provides the MySQL database driver for Kamailio.
42
+
43
+Package: kamailio-postgres-modules
44
+Architecture: any
45
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), postgresql-client
46
+Replaces: kamailio-postgres-module
47
+Description: PostgreSQL database connectivity module for Kamailio
48
+ Kamailio is a very fast and flexible SIP (RFC3261)
49
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
50
+ per second even on low-budget hardware.
51
+ .
52
+ This package provides the PostgreSQL database driver for Kamailio.
53
+
54
+Package: kamailio-cpl-modules
55
+Architecture: any
56
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
57
+Replaces: kamailio-cpl-module
58
+Description: CPL module (CPL interpreter engine) for Kamailio
59
+ Kamailio is a very fast and flexible SIP (RFC3261)
60
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
61
+ per second even on low-budget hardware.
62
+ .
63
+ This package provides a CPL (Call Processing Language) interpreter for
64
+ Kamailio, turning Kamailio into a CPL server (storage and interpreter).
65
+
66
+Package: kamailio-radius-modules
67
+Architecture: any
68
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
69
+Description: radius modules for Kamailio
70
+ Kamailio is a very fast and flexible SIP (RFC3261)
71
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
72
+ per second even on low-budget hardware.
73
+ .
74
+ This package provides a set of Radius modules for Kamailio, for
75
+ authentication, peering, group membership and messages URIs checking
76
+ against a Radius Server.
77
+
78
+Package: kamailio-unixodbc-modules
79
+Architecture: any 
80
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
81
+Replaces: kamailio-unixodbc-module
82
+Description: unixODBC database connectivity module for Kamailio 
83
+ Kamailio is a very fast and flexible SIP (RFC3261) 
84
+ proxy server. Written entirely in C, Kamailio can handle thousands calls 
85
+ per second even on low-budget hardware. 
86
+ . 
87
+ This package provides the unixODBC database driver for Kamailio. 
88
+
89
+Package: kamailio-presence-modules
90
+Architecture: any
91
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
92
+Description: SIMPLE presence modules for Kamailio
93
+ Kamailio is a very fast and flexible SIP (RFC3261)
94
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
95
+ per second even on low-budget hardware.
96
+ .
97
+ This package provides several Kamailio modules for implementing presence
98
+ server and presence user agent for RICH presence, registrar-based presence,
99
+ external triggered presence and XCAP support.
100
+
101
+Package: kamailio-xmlrpc-modules
102
+Architecture: any
103
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
104
+Replaces: kamailio-xmlrpc-module
105
+Description: XMLRPC support for Kamailio's Management Interface
106
+ Kamailio is a very fast and flexible SIP (RFC3261)
107
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
108
+ per second even on low-budget hardware.
109
+ .
110
+ This package provides the XMLRPC transport implementations for Kamailio's
111
+ Management and Control Interface.
112
+
113
+Package: kamailio-perl-modules
114
+Architecture: any
115
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
116
+Replaces: kamailio-perl-module
117
+Conflicts: kamailio-perl-module
118
+Description: Perl extensions and database driver for Kamailio
119
+ Kamailio is a very fast and flexible SIP (RFC3261)
120
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
121
+ per second even on low-budget hardware.
122
+ .
123
+ This package provides an interface for Kamailio to write Perl extensions and
124
+ the perlvdb database driver for Kamailio.
125
+
126
+Package: kamailio-snmpstats-modules
127
+Architecture: any
128
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), snmpd
129
+Replaces: kamailio-snmpstats-module
130
+Description: SNMP AgentX subagent module for Kamailio
131
+ Kamailio is a very fast and flexible SIP (RFC3261)
132
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
133
+ per second even on low-budget hardware.
134
+ .
135
+ This package provides the snmpstats module for Kamailio. This module acts
136
+ as an AgentX subagent which connects to a master agent.
137
+
138
+Package: kamailio-xmpp-modules
139
+Architecture: any
140
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
141
+Replaces: kamailio-xmpp-module
142
+Description: XMPP gateway module for Kamailio
143
+ Kamailio is a very fast and flexible SIP (RFC3261)
144
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
145
+ per second even on low-budget hardware.
146
+ .
147
+ This package provides the SIP to XMPP IM translator module for Kamailio.
148
+
149
+Package: kamailio-carrierroute-modules
150
+Architecture: any
151
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
152
+Replaces: kamailio-carrierroute-module
153
+Description: Carrierroute module for Kamailio
154
+ Kamailio is a very fast and flexible SIP (RFC3261)
155
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
156
+ per second even on low-budget hardware.
157
+ .
158
+ This package provides the carrierroute module for Kamailio, an integrated
159
+ solution for routing, balancing and blacklisting.
160
+
161
+Package: kamailio-berkeley-modules
162
+Architecture: any
163
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), db4.6-util
164
+Replaces: kamailio-berkeley-module
165
+Description: Berkeley Database module for Kamailio
166
+ Kamailio is a very fast and flexible SIP (RFC3261)
167
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
168
+ per second even on low-budget hardware.
169
+ .
170
+ This package provides the berkeley database module for Kamailio, a
171
+ high-performance embedded DB kernel. All database tables are stored
172
+ in files, no additional server is necessary.
173
+
174
+Package: kamailio-ldap-modules
175
+Architecture: any
176
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
177
+Description: LDAP modules for Kamailio
178
+ Kamailio is a very fast and flexible SIP (RFC3261)
179
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
180
+ per second even on low-budget hardware.
181
+ .
182
+ This package provides the ldap and h350 modules for Kamailio, enabling LDAP
183
+ queries from the Kamailio config and storage of SIP account data in an LDAP
184
+ directory.
185
+
186
+Package: kamailio-utils-modules
187
+Architecture: any
188
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
189
+Replaces: kamailio-utils-module
190
+Description: Provides a set utility functions for Kamailio
191
+ Kamailio is a very fast and flexible SIP (RFC3261)
192
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
193
+ per second even on low-budget hardware.
194
+ .
195
+ Provides a set of utility functions for Kamailio, which are not related
196
+ to the server configuration.
197
+
198
+Package: kamailio-purple-modules
199
+Architecture: any
200
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
201
+Replaces: kamailio-purple-module
202
+Description: Provides the purple module, a multi-protocol IM gateway
203
+ Kamailio is a very fast and flexible SIP (RFC3261)
204
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
205
+ per second even on low-budget hardware.
206
+ .
207
+ This package provides the purple module, a multi-protocol instant
208
+ messaging gateway module.
209
+
210
+Package: kamailio-memcached-modules
211
+Architecture: any
212
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
213
+Replaces: kamailio-memcached-module
214
+Description: Provides the memcached module, an interface to the memcached server
215
+ Kamailio is a very fast and flexible SIP (RFC3261)
216
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
217
+ per second even on low-budget hardware.
218
+ .
219
+ This package provides the memcached module, an interface to the memcached
220
+ server, a high-performance, distributed memory object caching system.
221
+
222
+Package: kamailio-tls-modules
223
+Architecture: any
224
+Depends: ${shlibs:Depends}, kamailio (= ${Source-Version})
225
+Description: contains the TLS kamailio transport module
226
+ This has been split out of the main kamailio package, so that kamailio will not
227
+ depend on openssl. This module will enable you to use the TLS transport.
228
+
229
+Package: kamailio-nth
230
+Architecture: any
231
+Depends: screen, gdb, binutils, gcc, bison, flex, ngrep, tcpdump, iftop, lsof, psmisc, vim, bvi, most, mc, sipsak
232
+Description: Kamailio - package for "nice to have" installation
233
+ This is a meta-package for easy installation various useful tools that may be
234
+ handy on server with Kamailio installed.
235
+
236
+
0 237
similarity index 100%
1 238
rename from pkg/kamailio/debian/copyright
2 239
rename to pkg/kamailio/deb/lenny/copyright
3 240
similarity index 100%
4 241
rename from pkg/kamailio/debian/kamailio.README.Debian
5 242
rename to pkg/kamailio/deb/lenny/kamailio.README.Debian
6 243
similarity index 100%
7 244
rename from pkg/kamailio/debian/kamailio.default
8 245
rename to pkg/kamailio/deb/lenny/kamailio.default
9 246
similarity index 100%
10 247
rename from pkg/kamailio/debian/kamailio.dirs
11 248
rename to pkg/kamailio/deb/lenny/kamailio.dirs
12 249
similarity index 100%
13 250
rename from pkg/kamailio/debian/kamailio.examples
14 251
rename to pkg/kamailio/deb/lenny/kamailio.examples
15 252
similarity index 100%
16 253
rename from pkg/kamailio/debian/kamailio.init
17 254
rename to pkg/kamailio/deb/lenny/kamailio.init
18 255
similarity index 100%
19 256
rename from pkg/kamailio/debian/kamailio.postinst
20 257
rename to pkg/kamailio/deb/lenny/kamailio.postinst
21 258
new file mode 100755
... ...
@@ -0,0 +1,220 @@
1
+#!/usr/bin/make -f
2
+# Sample debian/rules that uses debhelper.
3
+# GNU copyright 1997 to 1999 by Joey Hess.
4
+#
5
+# $Id$
6
+#
7
+# History:
8
+# --------
9
+#  2009-07-08  updated for sip-router (andrei)
10
+#  2009-12-10  updated for kamailio 3.0 (daniel)
11
+
12
+
13
+# Uncomment this to turn on verbose mode.
14
+#export DH_VERBOSE=1
15
+
16
+# This is the debhelper compatibility version to use.
17
+# export DH_COMPAT=4
18
+#  -- already set in compat
19
+#  force no striping (always include debug symbols for now)
20
+export DEB_BUILD_OPTIONS:="$(DEB_BUILD_OPTIONS) nostrip"
21
+
22
+# modules not in the "main" kamailio package
23
+EXCLUDED_MODULES=
24
+
25
+# extra modules to skip, because they are not compilable now
26
+# - regardless if they go to the main kamailio package or to some module package,
27
+# they will be excluded from compile and install of all
28
+EXTRA_EXCLUDED_MODULES=seas bdb dbtext oracle pa rls iptrtpproxy
29
+#EXTRA_EXCLUDED_MODULES=
30
+
31
+# possible module directories that can appear in MODULES_SP
32
+# (only used for deducing a module name)
33
+MDIRS=modules modules_s modules_k
34
+
35
+# modules packaged in separate packages (complete with full modules_* path)
36
+# with the package name: kamailio-$(module_name)-module
37
+MODULES_SP=
38
+
39
+# module groups that are packaged in seperate packages
40
+# (with the name kamailio-$(group_name)-modules)
41
+# Note: the order is important (should be in dependency order, the one
42
+# on which other depend first)
43
+PACKAGE_GROUPS=mysql postgres berkeley unixodbc radius presence \
44
+			   ldap xmlrpc perl utils purple memcached tls \
45
+			   snmpstats carrierroute xmpp cpl
46
+
47
+# directories with possible duplicate libraries (that should be deleted
48
+# from current module* packages)
49
+DUP_LIBS_DIRS=$(CURDIR)/debian/kamailio/usr/lib/kamailio \
50
+			$(CURDIR)/debian/kamailio-db-modules/usr/lib/kamailio
51
+
52
+# modules names out of modules sp
53
+MODULES_SP_NAMES=$(filter-out $(MDIRS),$(subst /, ,$(MODULES_SP)))
54
+
55
+# "function" to get package short name out of a dir/module_name
56
+# it also transforms db_foo into foo
57
+mod_name=$(subst db_,,$(lastword $(subst /, ,$(1))))
58
+
59
+define PACKAGE_GRP_BUILD_template
60
+	# package all the modules in PACKAGE_GROUPS in separate packages
61
+	$(foreach grp,$(PACKAGE_GROUPS),\
62
+		$(MAKE) every-module group_include="k$(grp)"
63
+	)
64
+endef
65
+
66
+
67
+define PACKAGE_MODULE_BUILD_template
68
+	# package all the modules MODULES_SP in separate packages
69
+	$(foreach mod,$(MODULES_SP),\
70
+		$(MAKE) modules modules="$(mod)"
71
+	)
72
+endef
73
+
74
+
75
+define PACKAGE_GRP_INSTALL_template
76
+	$(foreach grp,$(PACKAGE_GROUPS),\
77
+		$(MAKE) install-modules-all group_include="k$(grp)" \
78
+		basedir=$(CURDIR)/debian/kamailio-$(grp)-modules \
79
+		cfg_prefix=$(CURDIR)/debian/kamailio-$(grp)-modules \
80
+		doc-dir=share/doc/kamailio-$(grp)-modules
81
+		# eliminate duplicate libs
82
+		-for d in $(DUP_LIBS_DIRS); do \
83
+			test "$$d" != "$(CURDIR)/debian/kamailio-$(grp)-modules/usr/lib/kamailio" &&\
84
+			for r in $$d/lib*; do \
85
+				echo "removing $(grp) lib `basename $$r` present also in $$d";\
86
+				rm -f $(CURDIR)/debian/kamailio-$(grp)-modules/usr/lib/kamailio/`basename "$$r"` ; \
87
+			done ; \
88
+		done
89
+	)
90
+endef
91
+
92
+
93
+define PACKAGE_MODULE_INSTALL_template
94
+	$(foreach mod,$(MODULES_SP),
95
+		$(MAKE) install-modules-all modules="$(mod)" \
96
+				modules_s="" modules_k="" \
97
+				basedir=$(CURDIR)/debian/kamailio-$(call mod_name,$(mod))-module \
98
+				doc-dir=share/doc/kamailio-$(call mod_name,$(mod))-module
99
+		# eliminate duplicate libs
100
+		-for d in $(DUP_LIBS_DIRS); do \
101
+			test "$$d" != "$(CURDIR)/debian/kamailio-$(call mod_name,$(mod))-module/usr/lib/kamailio" &&\
102
+			for r in $$d/lib*; do \
103
+				echo "removing $(call mod_name, $(mod)) lib `basename $$r` present also in $$d";\
104
+				rm -f $(CURDIR)/debian/kamailio-$(call mod_name,$(mod))-module/usr/lib/kamailio/`basename "$$r"` ; \
105
+			done ; \
106
+		done
107
+	)
108
+endef
109
+
110
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
111
+	CFLAGS += -g
112
+endif
113
+ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
114
+	INSTALL_PROGRAM += -s
115
+endif
116
+
117
+configure: configure-stamp
118
+configure-stamp:
119
+	dh_testdir
120
+	# Add here commands to configure the package.
121
+	$(MAKE) cfg prefix=/usr cfg_prefix=$(CURDIR)/debian/kamailio \
122
+			cfg_target=/etc/kamailio/ \
123
+			basedir=$(CURDIR)/debian/kamailio \
124
+			skip_modules="$(EXCLUDED_MODULES) $(EXTRA_EXCLUDED_MODULES)" \
125
+			group_include="kstandard"
126
+
127
+	touch configure-stamp
128
+
129
+
130
+build: build-stamp
131
+
132
+build-stamp: configure-stamp 
133
+	dh_testdir
134
+	# Add here commands to compile the package.
135
+	$(MAKE) all
136
+	# make groups
137
+	$(call PACKAGE_GRP_BUILD_template)
138
+	# make single-module packages
139
+	$(call PACKAGE_MODULE_BUILD_template)
140
+	touch build-stamp
141
+
142
+clean:
143
+	dh_testdir
144
+	dh_testroot
145
+	rm -f build-stamp configure-stamp
146
+	# Add here commands to clean up after the build process.
147
+	-$(MAKE) maintainer-clean
148
+	dh_clean
149
+
150
+install: build
151
+	dh_testdir
152
+	dh_testroot
153
+	dh_clean -k
154
+	dh_installdirs
155
+	# Add here commands to install the package into debian/kamailio
156
+	$(MAKE) install group_include="kstandard"
157
+	# fix etc/kamailio dir location -- not needed -- andrei
158
+	# mv -f $(CURDIR)/debian/kamailio/usr/etc $(CURDIR)/debian/kamailio
159
+	# make group packages
160
+	$(call PACKAGE_GRP_INSTALL_template)
161
+	# make single module packages
162
+	$(call PACKAGE_MODULE_INSTALL_template)
163
+	# install /etc/default/kamailio file
164
+	mkdir -p $(CURDIR)/debian/kamailio/etc/default
165
+	cp -f debian/kamailio.default $(CURDIR)/debian/kamailio/etc/default/kamailio
166
+	#dh_movefiles
167
+
168
+
169
+
170
+# This single target is used to build all the packages, all at once, or
171
+# one at a time. So keep in mind: any options passed to commands here will
172
+# affect _all_ packages. Anything you want to only affect one package
173
+# should be put in another target, such as the install target.
174
+binary-common: 
175
+	dh_testdir
176
+	dh_testroot
177
+	dh_installdebconf	
178
+	dh_installdocs
179
+	dh_installexamples
180
+	dh_installmenu
181
+#	dh_installlogrotate
182
+#	dh_installemacsen
183
+#	dh_installpam
184
+#	dh_installmime
185
+	dh_installinit  -- defaults 23
186
+	dh_installcron
187
+	dh_installman
188
+	dh_installinfo
189
+#	dh_undocumented
190
+	dh_installchangelogs 
191
+	dh_link
192
+	dh_strip
193
+	dh_compress 
194
+	dh_fixperms
195
+	dh_makeshlibs
196
+	dh_installdeb
197
+#	dh_perl
198
+	dh_shlibdeps
199
+	dh_gencontrol
200
+	dh_md5sums
201
+	dh_builddeb
202
+
203
+# Build architecture-independent packages using the common target
204
+binary-indep: build install
205
+# (Uncomment this next line if you have such packages.)
206
+#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
207
+# We have nothing to do by default.
208
+
209
+
210
+# Build architecture-dependent packages using the common target
211
+binary-arch: build install
212
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
213
+
214
+# Any other binary targets build just one binary package at a time.
215
+binary-%: build install
216
+	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*
217
+
218
+binary: binary-indep binary-arch
219
+.PHONY: build clean binary-indep binary-arch binary install configure
220
+
0 221
new file mode 100644
... ...
@@ -0,0 +1,156 @@
1
+kamailio (3.0.3.99) unstable; urgency=low
2
+
3
+    Update to 3.0.3.99
4
+
5
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Thu, 19 Aug 2010 17:54:23 +0100
6
+
7
+kamailio (3.0.3) unstable; urgency=low
8
+
9
+    update to 3.0.3 from upstream
10
+    updated ChangeLog for v3.0.3
11
+    version set to 3.0.3
12
+    dns cache: fix manually inserted SRV record order
13
+    tcp: fix double increment for the established stats
14
+    tm: don't reply if the reply dest. is not yet set
15
+    kamctl: fix make use and make install
16
+    presence_dialoginfo(k): fix bsd compilation
17
+    xmlrpc: fix includes and libs
18
+    sercmd: fix LIBS - don't link -lresolv if not needed
19
+    core: fix unclosed comment
20
+    core: DragonFly kqueue support enabled
21
+    NEWS: notes about Dragonfly BSD support
22
+    makefile: Dragonfly BSD support
23
+    sercmd: Patch to add Dragonfly BSD support (makefile)
24
+    db_text(k) makefile: fix make use
25
+    makefile: fix $DESTDIR
26
+    sercmd: fix cfg. var name completion
27
+    core: fix selects in optimized rvalue expressions
28
+    tcp: force eof after read if write side hangup
29
+    tcp: more consistent IO_FD_CLOSING usage
30
+    tcp: fix dispatching closed connections to tcp readers
31
+    tcp: fix fd passing bug
32
+    io_wait: kqueue: use the entire array during too many errors fallback
33
+    io_wait: kqueue: use a bigger array
34
+    io_wait: kqueue: handle ENOENT and more robust error handling
35
+    io_wait: fix kqueue io_wait_add & POLLIN
36
+    io_wait: don't update FD watched status on error
37
+    io_wait: fix kqueue and too many errors in changelist
38
+    io_wait: fix: check for EV_ERROR for kqueue()
39
+    pdbt: fix two bugs in debian packaging
40
+    presence(k): copy evs_subs_handl to presence event list
41
+    presence_dialoginfo(k): don't exeed array size in error case
42
+    presence(k): set properly db updated flag
43
+    pua(k): use the outbound proxy on updates
44
+    pv: fixed tobody.params transformation
45
+    core: fix parsing quoted paramers in To header
46
+    registrar(k): reset local contact holder
47
+    sl(k): removed not needed var
48
+    modules_k/dialog: Remove trailing whitespace.
49
+    modules_k/dialog: Provide new fix to prevent "unable to find WARN messages
50
+    modules:carrierroute Better handling of fclose
51
+    modules/carrierroute: Prevent resource leak in case of error
52
+    modules/tm: Fixed memory leak related to several tm function exports
53
+    modules_k/sst: Setting AVPs from integer values requires the PV_TYPE_INT flag to be set.
54
+    reg(k): only store path if indicated by the configuration
55
+    auth_db(k): proper initialization for the default column
56
+    modules_k/dialog: Move comment regarding dialog-destroying
57
+    Revert "db_postgres(old API) FS#77: fix BLOBs with postgres"
58
+    modules_k/presence and modules_k/rls Fixed parse_to() usage
59
+    dialog(k): also update README after doc change
60
+    modules_k/pv : Fixed a bug in pv transformation (tobody transformation), that caused a segmentation fault.
61
+    modules_k/dialog doc update
62
+    dispatcher: doc updated to reflect PV parameter options
63
+    tm: use warn to print message if load_tm is not found
64
+    core: print line for include_file errors
65
+    tmx: use TM api function to get tm table
66
+    tm: export function to get access to tm table
67
+    core: typos in comments
68
+    tm: TMCB_RESPONSE_READY executes by its own
69
+    msilo(k): updated readme file
70
+    msilo(k): parameter to control contact header
71
+    pdb: avoid child re-init
72
+    presence_xml: avoid re-init of db handler
73
+    presence: avoid re-init of db handler
74
+    kex: check if uptime value was initialized
75
+    userblacklist: avoid double child initialization
76
+    usrloc(k): avoid re-initialization of db handler
77
+    domain(k): safety check for db handler initialization
78
+    drouting: check if db connection is initialized
79
+    htable: close db connection in case of mi cmd errors
80
+    pdt(k): safety check for db handler initialization
81
+    mi_rpc: initialize mi cmds for sip workers
82
+    permissions(k): safety check for db_handle
83
+    permissions(k): reverted incomplete fix for mi cmd
84
+    mi_rpc: call MI init child functions
85
+    kmi: allow multiple initializations of mi child
86
+    core: safety check for free contact
87
+    presence_xml: fixed log message
88
+    modules_k/dialog: Delay dialog deletion to absorb late in-dialog requests
89
+    Increase failed_dlgs when a non-2xx final response has been received only.
90
+    Fix minor typo
91
+    modules/dialog: Do not send BYE request for non-confirmed dialogs
92
+    Fixed a memory leak on shm memory, caused by the dtrie implementation.
93
+    Do not consider in-early-dialog BYE requests to be bogus.
94
+    modules_k/msilo: do not include Contact header in msilo generated messages
95
+    db_postgres(old API) FS#77: fix BLOBs with postgres
96
+    auc(k): fix error in authentification: Digest should be compared case insensitive
97
+    modules_k/dialog: Fix timer reset and improve timeout value logging
98
+    Do not consider in-early-dialog requests to be bogus.
99
+    Always set data payload to NULL, thus avoiding problems when root node had data associated with it
100
+    PKG Debian version dependant changes
101
+
102
+
103
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Thu, 19 Aug 2010 17:54:23 +0100
104
+
105
+kamailio (3.0.2.99) unstable; urgency=low
106
+
107
+  * update to 3.0.2.99 for development version builds
108
+
109
+ -- Jon Bonilla <manwe@aholab.ehu.es>  Fri, 28 May 2010 22:26:00 +0100
110
+
111
+kamailio (3.0.2) unstable; urgency=low
112
+
113
+  * update to 3.0.2 from upstream
114
+
115
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Thu, 27 May 2010 10:27:36 +0100
116
+
117
+kamailio (3.0.1) unstable; urgency=low
118
+
119
+  * update to 3.0.1 from upstream
120
+
121
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 08 Mar 2010 20:30:48 +0100
122
+
123
+kamailio (3.0.0) unstable; urgency=low
124
+
125
+  * update to 3.0.0 from upstream
126
+
127
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Mon, 11 Jan 2010 18:30:42 +0100
128
+
129
+kamailio (3.0.0-rc3) unstable; urgency=low
130
+
131
+  * update to 3.0.0-rc3 from upstream
132
+  * updated debian/rules to work with the SIP Router style module packaging
133
+
134
+ -- Daniel-Constantin Mierla <miconda@gmail.com>  Fri, 10 Dec 2009 12:10:02 +0100
135
+
136
+kamailio (3.0.0-rc2) unstable; urgency=low
137
+
138
+  * update to 3.0.0-rc2 from upstream
139
+  * updated debian/rules to work with the new style module packaging
140
+
141
+ -- Jonas Bergler <jonas.bergler@staff.snap.net.nz>  Wed, 18 Nov 2009 12:30:02 +1300
142
+
143
+kamailio (1.5.0-svn1) unstable; urgency=low
144
+
145
+  * increment debian packaging for trunk
146
+
147
+ -- Henning Westerholt <henning.westerholt@1und1.de>  Mon, 02 Mar 2009 17:40:02 +0100
148
+
149
+kamailio (1.4.0-svn1) unstable; urgency=low
150
+
151
+  [ Klaus Darilion ]
152
+  * first release of Kamailio (after renaming from Openser)
153
+
154
+ -- Julien BLACHE <jblache@debian.org>  Wed, 12 Dec 2007 17:25:31 +0100
155
+
156
+
0 157
new file mode 100644
... ...
@@ -0,0 +1 @@
1
+5
0 2
new file mode 100644
... ...
@@ -0,0 +1,236 @@
1
+Source: kamailio
2
+Section: net
3
+Priority: optional
4
+Maintainer: Jon Bonilla <manwe@aholab.ehu.es>
5
+Build-Depends: debhelper (>= 5), dpatch, libmysqlclient-dev, libexpat1-dev, libxml2-dev, libpq-dev, libradiusclient-ng-dev, flex, bison, zlib1g-dev, unixodbc-dev, libxmlrpc-c3-dev, libperl-dev, libsnmp-dev, dpkg-dev (>= 1.13.19), libdb-dev (>= 4.6.19), xsltproc, libconfuse-dev, libldap2-dev, libssl-dev, libcurl3-openssl-dev, python, libpcre3-dev, docbook-xml, libpurple-dev, libmemcache-dev, libreadline-dev
6
+Standards-Version: 3.8.0
7
+Homepage: http://www.kamailio.org/
8
+
9
+Package: kamailio
10
+Architecture: any
11
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
12
+Conflicts: kamailio-regex-modules, kamailio-dbg
13
+Suggests: kamailio-mysql-modules, kamailio-postgres-modules, kamailio-unixodbc-modules, kamailio-tls-modules, kamailio-cpl-modules, kamailio-radius-modules, kamailio-presence-modules, kamailio-xmlrpc-modules, kamailio-perl-modules, kamailio-snmpstats-modules, kamailio-xmpp-modules, kamailio-carrierroute-modules, kamailio-berkeley-modules, kamailio-ldap-modules
14
+Description: very fast and configurable SIP proxy
15
+ Kamailio is a very fast and flexible SIP (RFC3261)
16
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
17
+ per second even on low-budget hardware.
18
+ .
19
+ C Shell-like scripting language provides full control over the server's
20
+ behaviour. Its modular architecture allows only required functionality to be
21
+ loaded.
22
+ .
23
+ Among others, the following modules are available: Digest Authentication, CPL
24
+ scripts, Instant Messaging, MySQL support, Presence Agent, Radius
25
+ Authentication, Record Routing, SMS Gateway, Jabber/XMPP Gateway, Transaction
26
+ Module, Registrar and User Location, XMLRPC Interface.
27
+ .
28
+ This package contains the main Kamailio binary along with the principal modules
29
+ and support binaries.
30
+
31
+
32
+Package: kamailio-mysql-modules
33
+Architecture: any
34
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), mysql-client
35
+Replaces: kamailio-mysql-module
36
+Description: MySQL database connectivity module for Kamailio
37
+ Kamailio is a very fast and flexible SIP (RFC3261)
38
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
39
+ per second even on low-budget hardware.
40
+ .
41
+ This package provides the MySQL database driver for Kamailio.
42
+
43
+Package: kamailio-postgres-modules
44
+Architecture: any
45
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), postgresql-client
46
+Replaces: kamailio-postgres-module
47
+Description: PostgreSQL database connectivity module for Kamailio
48
+ Kamailio is a very fast and flexible SIP (RFC3261)
49
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
50
+ per second even on low-budget hardware.
51
+ .
52
+ This package provides the PostgreSQL database driver for Kamailio.
53
+
54
+Package: kamailio-cpl-modules
55
+Architecture: any
56
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
57
+Replaces: kamailio-cpl-module
58
+Description: CPL module (CPL interpreter engine) for Kamailio
59
+ Kamailio is a very fast and flexible SIP (RFC3261)
60
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
61
+ per second even on low-budget hardware.
62
+ .
63
+ This package provides a CPL (Call Processing Language) interpreter for
64
+ Kamailio, turning Kamailio into a CPL server (storage and interpreter).
65
+
66
+Package: kamailio-radius-modules
67
+Architecture: any
68
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
69
+Description: radius modules for Kamailio
70
+ Kamailio is a very fast and flexible SIP (RFC3261)
71
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
72
+ per second even on low-budget hardware.
73
+ .
74
+ This package provides a set of Radius modules for Kamailio, for
75
+ authentication, peering, group membership and messages URIs checking
76
+ against a Radius Server.
77
+
78
+Package: kamailio-unixodbc-modules
79
+Architecture: any 
80
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
81
+Replaces: kamailio-unixodbc-module
82
+Description: unixODBC database connectivity module for Kamailio 
83
+ Kamailio is a very fast and flexible SIP (RFC3261) 
84
+ proxy server. Written entirely in C, Kamailio can handle thousands calls 
85
+ per second even on low-budget hardware. 
86
+ . 
87
+ This package provides the unixODBC database driver for Kamailio. 
88
+
89
+Package: kamailio-presence-modules
90
+Architecture: any
91
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
92
+Description: SIMPLE presence modules for Kamailio
93
+ Kamailio is a very fast and flexible SIP (RFC3261)
94
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
95
+ per second even on low-budget hardware.
96
+ .
97
+ This package provides several Kamailio modules for implementing presence
98
+ server and presence user agent for RICH presence, registrar-based presence,
99
+ external triggered presence and XCAP support.
100
+
101
+Package: kamailio-xmlrpc-modules
102
+Architecture: any
103
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
104
+Replaces: kamailio-xmlrpc-module
105
+Description: XMLRPC support for Kamailio's Management Interface
106
+ Kamailio is a very fast and flexible SIP (RFC3261)
107
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
108
+ per second even on low-budget hardware.
109
+ .
110
+ This package provides the XMLRPC transport implementations for Kamailio's
111
+ Management and Control Interface.
112
+
113
+Package: kamailio-perl-modules
114
+Architecture: any
115
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
116
+Replaces: kamailio-perl-module
117
+Conflicts: kamailio-perl-module
118
+Description: Perl extensions and database driver for Kamailio
119
+ Kamailio is a very fast and flexible SIP (RFC3261)
120
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
121
+ per second even on low-budget hardware.
122
+ .
123
+ This package provides an interface for Kamailio to write Perl extensions and
124
+ the perlvdb database driver for Kamailio.
125
+
126
+Package: kamailio-snmpstats-modules
127
+Architecture: any
128
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), snmpd
129
+Replaces: kamailio-snmpstats-module
130
+Description: SNMP AgentX subagent module for Kamailio
131
+ Kamailio is a very fast and flexible SIP (RFC3261)
132
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
133
+ per second even on low-budget hardware.
134
+ .
135
+ This package provides the snmpstats module for Kamailio. This module acts
136
+ as an AgentX subagent which connects to a master agent.
137
+
138
+Package: kamailio-xmpp-modules
139
+Architecture: any
140
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
141
+Replaces: kamailio-xmpp-module
142
+Description: XMPP gateway module for Kamailio
143
+ Kamailio is a very fast and flexible SIP (RFC3261)
144
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
145
+ per second even on low-budget hardware.
146
+ .
147
+ This package provides the SIP to XMPP IM translator module for Kamailio.
148
+
149
+Package: kamailio-carrierroute-modules
150
+Architecture: any
151
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
152
+Replaces: kamailio-carrierroute-module
153
+Description: Carrierroute module for Kamailio
154
+ Kamailio is a very fast and flexible SIP (RFC3261)
155
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
156
+ per second even on low-budget hardware.
157
+ .
158
+ This package provides the carrierroute module for Kamailio, an integrated
159
+ solution for routing, balancing and blacklisting.
160
+
161
+Package: kamailio-berkeley-modules
162
+Architecture: any
163
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version}), db4.6-util
164
+Replaces: kamailio-berkeley-module
165
+Description: Berkeley Database module for Kamailio
166
+ Kamailio is a very fast and flexible SIP (RFC3261)
167
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
168
+ per second even on low-budget hardware.
169
+ .
170
+ This package provides the berkeley database module for Kamailio, a
171
+ high-performance embedded DB kernel. All database tables are stored
172
+ in files, no additional server is necessary.
173
+
174
+Package: kamailio-ldap-modules
175
+Architecture: any
176
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
177
+Description: LDAP modules for Kamailio
178
+ Kamailio is a very fast and flexible SIP (RFC3261)
179
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
180
+ per second even on low-budget hardware.
181
+ .
182
+ This package provides the ldap and h350 modules for Kamailio, enabling LDAP
183
+ queries from the Kamailio config and storage of SIP account data in an LDAP
184
+ directory.
185
+
186
+Package: kamailio-utils-modules
187
+Architecture: any
188
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
189
+Replaces: kamailio-utils-module
190
+Description: Provides a set utility functions for Kamailio
191
+ Kamailio is a very fast and flexible SIP (RFC3261)
192
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
193
+ per second even on low-budget hardware.
194
+ .
195
+ Provides a set of utility functions for Kamailio, which are not related
196
+ to the server configuration.
197
+
198
+Package: kamailio-purple-modules
199
+Architecture: any
200
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
201
+Replaces: kamailio-purple-module
202
+Description: Provides the purple module, a multi-protocol IM gateway
203
+ Kamailio is a very fast and flexible SIP (RFC3261)
204
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
205
+ per second even on low-budget hardware.
206
+ .
207
+ This package provides the purple module, a multi-protocol instant
208
+ messaging gateway module.
209
+
210
+Package: kamailio-memcached-modules
211
+Architecture: any
212
+Depends: ${shlibs:Depends}, kamailio (= ${binary:Version})
213
+Replaces: kamailio-memcached-module
214
+Description: Provides the memcached module, an interface to the memcached server
215
+ Kamailio is a very fast and flexible SIP (RFC3261)
216
+ proxy server. Written entirely in C, Kamailio can handle thousands calls
217
+ per second even on low-budget hardware.
218
+ .
219
+ This package provides the memcached module, an interface to the memcached
220
+ server, a high-performance, distributed memory object caching system.
221
+
222
+Package: kamailio-tls-modules
223
+Architecture: any
224
+Depends: ${shlibs:Depends}, kamailio (= ${Source-Version})
225
+Description: contains the TLS kamailio transport module
226
+ This has been split out of the main kamailio package, so that kamailio will not
227
+ depend on openssl. This module will enable you to use the TLS transport.
228
+
229
+Package: kamailio-nth
230
+Architecture: any
231
+Depends: screen, gdb, binutils, gcc, bison, flex, ngrep, tcpdump, iftop, lsof, psmisc, vim, bvi, most, mc, sipsak
232
+Description: Kamailio - package for "nice to have" installation
233
+ This is a meta-package for easy installation various useful tools that may be
234
+ handy on server with Kamailio installed.
235
+
236
+
0 237
new file mode 100644
... ...
@@ -0,0 +1,27 @@
1
+This package was debianized by Andrei Pelinescu-Onciul
2
+<pelinescu-onciul@fokus.fraunhofer.de> on Tue, 16 Jul 2002 15:41:31 +0200.
3
+This package was debianized by Julien BLACHE <jblache@debian.org>
4
+on Thu, 29 Jun 2006 09:55:24 +0200, based on Andrei's work.
5
+
6
+It was downloaded from: http://kamailio.org
7
+
8
+Upstream Authors:
9
+       Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>
10
+       Bogdan-Andrei Iancu <bogdan@voice-system.ro>
11
+       Daniel-Constantin Mierla <miconda@gmail.com>
12
+       Jan Janak <jan@iptel.org>
13
+       Jiri Kuthan <jiri@iptel.org>
14
+       Juha Heinanen
15
+       Ramona-Elena Modroiu
16
+       Maxim Sobolev
17
+       Miklos Tirpak
18
+       Nils Ohlmeier
19
+       and others ; see the AUTHORS file in the source code tree for details
20
+
21
+This software is copyright (c) 2002-2003 by FhG Fokus
22
+
23
+You are free to distribute this software under the terms of
24
+the GNU General Public License.
25
+
26
+On Debian systems, the complete text of the GNU General Public
27
+License can be found in the file `/usr/share/common-licenses/GPL.
0 28
new file mode 100644
... ...
@@ -0,0 +1,38 @@
1
+Kamailio for Debian
2
+------------------
3
+
4
+* init script check for fork=no
5
+-------------------------------
6
+
7
+The Kamailio init script will not start Kamailio on boot if fork=no is
8
+specified in the config file. The check in the initscript will match
9
+any occurrence of fork=no in the file, even inside C-style comments.
10
+
11
+You can disable this check in the init script if you wish; just comment
12
+out the calls to the check_fork function in the script. Your changes to
13
+the init script will be preserved upon upgrade, as the file is tagged
14
+as a conffile.
15
+
16
+
17
+* Kamailio setup
18
+---------------
19
+
20
+To setup Kamailio, you need to:
21
+ - configure Kamailio properly to suit your needs
22
+ - edit /etc/default/kamailio, adjust the MEMORY parameter and set
23
+   RUN_KAMAILIO to "yes"
24
+
25
+If you are building an HA cluster using heartbeat or similar, you'll want
26
+to disable the init script by running:
27
+
28
+  update-rc.d kamailio remove
29
+
30
+so that Kamailio will not be launched at system startup. You still need
31
+to set RUN_KAMAILIO to "yes" if you want to use the /etc/init.d/kamailio init
32
+script.
33
+
34
+Set the DUMP_CORE parameter in /etc/default/kamailio to "yes" if you want to
35
+get a core dump in case Kamailio crashes. The debug symbols for Kamailio are
36
+provided by the kamailio-dbg package.
37
+
38
+-- Julien BLACHE <jblache@debian.org>, Fri, 08 Sep 2006 14:43:21 +0200
0 39
new file mode 100644
... ...
@@ -0,0 +1,24 @@
1
+#
2
+# Kamailio startup options
3
+#
4
+
5
+# Set to yes to enable kamailio, once configured properly.
6
+RUN_KAMAILIO=no
7
+
8
+# User to run as
9
+USER=kamailio
10
+
11
+# Group to run as
12
+GROUP=kamailio
13
+
14
+# Amount of memory to allocate for the running Kamailio server (in Mb)
15
+MEMORY=64
16
+
17
+# Enable the server to leave a core file when it crashes.
18
+# Set this to 'yes' to enable Kamailio to leave a core file when it crashes
19
+# or 'no' to disable this feature. This option is case sensitive and only
20
+# accepts 'yes' and 'no' and only in lowercase letters.
21
+# On some systems (e.g. Ubuntu 6.10, Debian 4.0) it is necessary to specify
22
+# a directory for the core files to get a dump. Look into the kamailio
23
+# init file for an example configuration.
24
+DUMP_CORE=no
0 25
new file mode 100644
... ...
@@ -0,0 +1,2 @@
1
+var/run/kamailio
2
+
0 3
new file mode 100644
... ...
@@ -0,0 +1,2 @@
1
+examples/*
2
+
0 3
new file mode 100644
... ...
@@ -0,0 +1,170 @@
1
+#! /bin/sh
2
+#
3
+### BEGIN INIT INFO
4
+# Provides:          kamailio
5
+# Required-Start:    $syslog $network $local_fs $time
6
+# Required-Stop:     $syslog $network $local_fs
7
+# Default-Start:     2 3 4 5
8
+# Default-Stop:      0 1 6
9
+# Short-Description: Start the Kamailio SIP proxy server
10
+# Description:       Start the Kamailio SIP proxy server
11
+### END INIT INFO
12
+#
13
+# TODO:
14
+# The following fields should be added (and completed):
15
+# Should-Start:      postgresql mysql radius
16
+# Should-Stop:       postgresql mysql radius
17
+
18
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
19
+DAEMON=/usr/sbin/kamailio
20
+NAME=kamailio
21
+DESC=kamailio
22
+HOMEDIR=/var/run/kamailio
23
+PIDFILE=$HOMEDIR/$NAME.pid
24
+DEFAULTS=/etc/default/kamailio
25
+RUN_KAMAILIO=no
26
+
27
+# Do not start kamailio if fork=no is set in the config file
28
+# otherwise the boot process will just stop
29
+check_fork ()
30
+{
31
+    if grep -q "^[[:space:]]*fork[[:space:]]*=[[:space:]]*no.*" /etc/kamailio/kamailio.cfg; then
32
+	echo "Not starting $DESC: fork=no specified in config file; run /etc/init.d/kamailio debug instead"
33
+	exit 1
34
+    fi
35
+}
36
+
37
+check_kamailio_config ()
38
+{
39
+	# Check if kamailio configuration is valid before starting the server
40
+	set +e
41
+	out=$($DAEMON -c 2>&1 > /dev/null)
42
+	retcode=$?
43
+	set -e
44
+	if [ "$retcode" != '0' ]; then
45
+	    echo "Not starting $DESC: invalid configuration file!"
46
+	    echo -e "\n$out\n"
47
+	    exit 1
48
+	fi
49
+}
50
+
51
+check_homedir ()
52
+{
53
+    # Create HOMEDIR directory in case it doesn't exist
54
+    if [ ! -d $HOMEDIR ]; then
55
+        mkdir $HOMEDIR
56
+    fi
57
+
58
+    # Set the appropiate owner and group
59
+    chown ${USER}:${GROUP} $HOMEDIR
60
+}
61
+
62
+
63
+create_radius_seqfile ()
64
+{
65
+    # Create a radius sequence file to be used by the radius client if
66
+    # radius accounting is enabled. This is needed to avoid any issue
67
+    # with the file not being writable if kamailio first starts as user
68
+    # root because DUMP_CORE is enabled and creates this file as user
69
+    # root and then later it switches back to user kamailio and cannot
70
+    # write to the file. If the file exists before kamailio starts, it
71
+    # won't change it's ownership and will be writable for both root
72
+    # and kamailio, no matter what options are chosen at install time
73
+    RADIUS_SEQ_FILE=$HOMEDIR/kamailio_radius.seq
74
+
75
+    if [ ! -f $RADIUS_SEQ_FILE ]; then
76
+        touch $RADIUS_SEQ_FILE
77
+    fi
78
+
79
+    chown ${USER}:${GROUP} $RADIUS_SEQ_FILE
80
+    chmod 660 $RADIUS_SEQ_FILE
81
+}
82
+
83
+test -f $DAEMON || exit 0
84
+
85
+# Load startup options if available
86
+if [ -f $DEFAULTS ]; then
87
+   . $DEFAULTS || true
88
+fi
89
+
90
+if [ "$RUN_KAMAILIO" != "yes" ]; then
91
+    echo "Kamailio not yet configured. Edit /etc/default/kamailio first."
92
+    exit 0
93
+fi
94
+
95
+set -e
96
+
97
+MEMORY=$((`echo $MEMORY | sed -e 's/[^0-9]//g'`))
98
+[ -z "$USER" ]  && USER=kamailio
99
+[ -z "$GROUP" ] && GROUP=kamailio
100
+[ $MEMORY -le 0 ] && MEMORY=32
101
+
102
+if test "$DUMP_CORE" = "yes" ; then
103
+    # set proper ulimit
104
+    ulimit -c unlimited
105
+    
106
+    # directory for the core dump files
107
+    # COREDIR=/home/corefiles
108
+    # [ -d $COREDIR ] || mkdir $COREDIR
109
+    # chmod 777 $COREDIR
110
+    # echo "$COREDIR/core.%e.sig%s.%p" > /proc/sys/kernel/core_pattern
111
+fi
112
+
113
+OPTIONS="-P $PIDFILE -m $MEMORY -u $USER -g $GROUP"
114
+
115
+case "$1" in
116
+  start|debug)
117
+	check_kamailio_config
118
+	check_homedir
119
+	create_radius_seqfile
120
+
121
+	if [ "$1" != "debug" ]; then
122
+	    check_fork
123
+	fi
124
+
125
+	echo -n "Starting $DESC: $NAME"
126
+	start-stop-daemon --start --quiet --pidfile $PIDFILE \
127
+		--exec $DAEMON -- $OPTIONS || echo -n " already running"
128
+	echo "."
129
+	;;
130
+  stop)
131
+	echo -n "Stopping $DESC: $NAME"
132
+	start-stop-daemon --oknodo --stop --quiet --pidfile $PIDFILE \
133
+		--exec $DAEMON
134
+	echo "."
135
+	;;
136
+  restart|force-reload)
137
+	check_kamailio_config
138
+	check_homedir
139
+	create_radius_seqfile
140
+
141
+	echo -n "Restarting $DESC: $NAME"
142
+	start-stop-daemon --oknodo --stop --quiet --pidfile \
143
+		$PIDFILE --exec $DAEMON
144
+	sleep 1
145
+	start-stop-daemon --start --quiet --pidfile \
146
+		$PIDFILE --exec $DAEMON  -- $OPTIONS
147
+	echo "."
148
+	;;
149
+  status)
150
+	echo -n "Status of $DESC: "
151
+	if [ ! -r "$PIDFILE" ]; then
152
+		echo "$NAME is not running."
153
+		exit 3
154
+	fi
155
+	if read pid < "$PIDFILE" && ps -p "$pid" > /dev/null 2>&1; then
156
+		echo "$NAME is running."
157
+		exit 0
158
+	else
159
+		echo "$NAME is not running but $PIDFILE exists."
160
+		exit 1
161
+	fi
162
+	;;
163
+  *)
164
+	N=/etc/init.d/$NAME
165
+	echo "Usage: $N {start|stop|restart|force-reload|debug|status}" >&2
166
+	exit 1
167
+	;;
168
+esac
169
+
170
+exit 0
0 171
new file mode 100644
... ...
@@ -0,0 +1,48 @@
1
+#! /bin/sh
2
+#
3
+# $Id$
4
+
5
+PKG=kamailio
6
+DEFAULTS=/etc/default/kamailio
7
+HOMEDIR=/var/run/kamailio
8
+
9
+set -e
10
+
11
+# summary of how this script can be called:
12
+#        * <postinst> `configure' <most-recently-configured-version>
13
+#        * <old-postinst> `abort-upgrade' <new version>
14
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
15
+#          <new-version>
16
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
17
+#          <failed-install-package> <version> `removing'
18
+#          <conflicting-package> <version>
19
+# for details, see http://www.debian.org/doc/debian-policy/ or
20
+# the debian-policy package
21
+#
22
+# quoting from the policy:
23
+#     Any necessary prompting should almost always be confined to the
24
+#     post-installation script, and should be protected with a conditional
25
+#     so that unnecessary prompting doesn't happen if a package's
26
+#     installation fails and the `postinst' is called with `abort-upgrade',
27
+#     `abort-remove' or `abort-deconfigure'.
28
+
29
+case "$1" in
30
+    configure)
31
+        adduser --quiet --system --group --disabled-password \
32
+                --shell /bin/false --gecos "Kamailio" \
33
+                --home $HOMEDIR kamailio || true
34
+
35
+        ;;
36
+
37
+    abort-upgrade|abort-remove|abort-deconfigure)
38
+
39
+        ;;
40
+
41
+    *)
42
+        echo "postinst called with unknown argument \`$1'" >&2
43
+        exit 1
44
+        ;;
45
+esac
46
+
47
+#DEBHELPER#
48
+
0 49
new file mode 100755
... ...
@@ -0,0 +1,220 @@
1
+#!/usr/bin/make -f
2
+# Sample debian/rules that uses debhelper.
3
+# GNU copyright 1997 to 1999 by Joey Hess.
4
+#
5
+# $Id$
6
+#
7
+# History:
8
+# --------
9
+#  2009-07-08  updated for sip-router (andrei)
10
+#  2009-12-10  updated for kamailio 3.0 (daniel)
11
+
12
+
13
+# Uncomment this to turn on verbose mode.
14
+#export DH_VERBOSE=1
15
+
16
+# This is the debhelper compatibility version to use.
17
+# export DH_COMPAT=4
18
+#  -- already set in compat
19
+#  force no striping (always include debug symbols for now)
20
+export DEB_BUILD_OPTIONS:="$(DEB_BUILD_OPTIONS) nostrip"
21
+
22
+# modules not in the "main" kamailio package
23
+EXCLUDED_MODULES=
24
+
25
+# extra modules to skip, because they are not compilable now
26
+# - regardless if they go to the main kamailio package or to some module package,
27
+# they will be excluded from compile and install of all
28
+EXTRA_EXCLUDED_MODULES=seas bdb dbtext oracle pa rls iptrtpproxy
29
+#EXTRA_EXCLUDED_MODULES=
30
+
31
+# possible module directories that can appear in MODULES_SP
32
+# (only used for deducing a module name)
33
+MDIRS=modules modules_s modules_k
34
+
35
+# modules packaged in separate packages (complete with full modules_* path)
36
+# with the package name: kamailio-$(module_name)-module
37
+MODULES_SP=
38
+
39
+# module groups that are packaged in seperate packages
40
+# (with the name kamailio-$(group_name)-modules)
41
+# Note: the order is important (should be in dependency order, the one
42
+# on which other depend first)
43
+PACKAGE_GROUPS=mysql postgres berkeley unixodbc radius presence \
44
+			   ldap xmlrpc perl utils purple memcached tls \
45
+			   snmpstats carrierroute xmpp cpl
46
+
47
+# directories with possible duplicate libraries (that should be deleted
48
+# from current module* packages)
49
+DUP_LIBS_DIRS=$(CURDIR)/debian/kamailio/usr/lib/kamailio \
50
+			$(CURDIR)/debian/kamailio-db-modules/usr/lib/kamailio
51
+
52
+# modules names out of modules sp
53
+MODULES_SP_NAMES=$(filter-out $(MDIRS),$(subst /, ,$(MODULES_SP)))
54
+
55
+# "function" to get package short name out of a dir/module_name
56
+# it also transforms db_foo into foo
57
+mod_name=$(subst db_,,$(lastword $(subst /, ,$(1))))
58
+
59
+define PACKAGE_GRP_BUILD_template
60
+	# package all the modules in PACKAGE_GROUPS in separate packages
61
+	$(foreach grp,$(PACKAGE_GROUPS),\
62
+		$(MAKE) every-module group_include="k$(grp)"
63
+	)
64
+endef
65
+
66
+
67
+define PACKAGE_MODULE_BUILD_template